> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get full endpoint detail

> Operacion: Get full endpoint detail.



## OpenAPI

````yaml /generated/specs/diagnostics.json get /api/v1/emnify/endpoint/{endpointId}
openapi: 3.0.0
info:
  title: Raul API - Diagnostico
  description: Health, consumo, conectividad, SIMs, webhooks fallidos y estados tecnicos.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/emnify/endpoint/{endpointId}:
    get:
      tags:
        - Endpoint Management
      summary: Get full endpoint detail
      description: 'Operacion: Get full endpoint detail.'
      operationId: EndpointManagementController_getEndpointDetail
      parameters:
        - name: endpointId
          required: true
          in: path
          description: Emnify endpoint ID
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointDetailResponseDto'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmnifyErrorDto'
      security:
        - bearerAuth: []
components:
  schemas:
    EndpointDetailResponseDto:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
        status:
          $ref: '#/components/schemas/EndpointStatusDto'
        service_profile:
          $ref: '#/components/schemas/EndpointServiceProfileDto'
        tariff_profile:
          $ref: '#/components/schemas/EndpointServiceProfileDto'
        ip_address:
          type: object
        imei:
          type: object
        imei_lock:
          type: object
        tags:
          type: object
        created:
          type: object
        last_updated:
          type: object
        sim:
          $ref: '#/components/schemas/EndpointSimDto'
      required:
        - id
        - name
    EmnifyErrorDto:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
        details:
          type: string
      required:
        - error
        - message
    EndpointStatusDto:
      type: object
      properties:
        id:
          type: number
        description:
          type: string
      required:
        - id
        - description
    EndpointServiceProfileDto:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
      required:
        - id
        - name
    EndpointSimDto:
      type: object
      properties:
        id:
          type: number
        iccid:
          type: string
        msisdn:
          type: string
        model:
          type: object
        status:
          $ref: '#/components/schemas/EndpointStatusDto'
      required:
        - id
        - iccid
        - msisdn
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````